import { select, json, geoPath, geoNaturalEarth1 } from 'd3';
import { feature } from 'topojson';

// Selecting SVG from HTML code
const svg = select('svg');

// Creates a new geoEarth() object for projecting & generating paths
const prjctn = geoNaturalEarth1();
const orientation = geoPath().projection(prjctn);

// Fetches the data from the end point and then formats it project on the canvas.
json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
  .then(data => {
  	// Extracts the all the countries from the data
    const country_Data = feature(data, data.objects.countries);
  	// Passes the extracted countries as data for generating the paths on the canvas
    svg.selectAll('path').data(country_Data.features)
      .enter().append('path')
        .attr('class', 'country')
        .attr('d', orientation);
  });